Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518477 - Disable raid5 journal function
Summary: Disable raid5 journal function
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mdadm
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: XiaoNi
QA Contact: guazhang@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1442258
TreeView+ depends on / blocked
 
Reported: 2017-11-29 03:21 UTC by XiaoNi
Modified: 2018-04-10 18:31 UTC (History)
7 users (show)

Fixed In Version: mdadm-4.0-10.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 18:29:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0990 None None None 2018-04-10 18:31:22 UTC

Comment 4 guazhang@redhat.com 2017-12-13 09:01:03 UTC
Hello

I want to clear some question on this bug,

1. what's mdadm version fixed this bug ?

2. Did it just disable raid5 journal function, not raid4 and raid6 ?

Comment 5 Nigel Croxon 2017-12-13 11:42:17 UTC
Hello,

1.  mdadm-4.0-10.el7

2. Correct, it just disabled raid5 write-journal, and NOT raid4 and raid6.

-Nigel

Comment 6 guazhang@redhat.com 2017-12-13 12:07:18 UTC
Hello


from mdadm --create --help page, the  --write-journal has disabled, so I'm don't test journal function on raid4 and raid6.

my test script will run MD journal tests when "--write-journal" option in mdadm --create --help page

Is it Ok for you? 


thanks
guazhang

Comment 7 Nigel Croxon 2017-12-13 16:52:46 UTC
Yes, that is a good test to check to see if -write-journal is enable/disabled.

The second line below will NOT show up on mdadm-4.0-10.el7.

--delay=           -d : bitmap update delay in seconds.
--write-journal=      : Specify journal device for RAID-4/5/6 array
--consistency-policy= : Specify the policy that determines how the array

Comment 8 guazhang@redhat.com 2017-12-14 01:41:44 UTC
Thanks for your respond, the mdadm-4.0-10.el7 has disabled journal function on radi5, move to verified

Comment 11 errata-xmlrpc 2018-04-10 18:29:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0990


Note You need to log in before you can comment on or make changes to this bug.